Bug 1666418 (CVE-2018-14719) - CVE-2018-14719 jackson-databind: arbitrary code execution in blaze-ds-opt and blaze-ds-core classes
Summary: CVE-2018-14719 jackson-databind: arbitrary code execution in blaze-ds-opt and...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14719
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1700936 1700965 1731780 1666419 1672879 1672880 1672881 1700937 1700964 1730588 1731787 1731789 1731790 1731792 1732286 1732291 1732539
Blocks: 1666431
TreeView+ depends on / blocked
 
Reported: 2019-01-15 18:44 UTC by Laura Pardo
Modified: 2019-10-10 12:49 UTC (History)
72 users (show)

Fixed In Version: jackson-databind 2.9.7, jackson-databind 2.7.9.5, jackson-databind 2.8.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:45:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0782 None None None 2019-04-17 21:01:02 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:46:57 UTC
Red Hat Product Errata RHSA-2019:1782 None None None 2019-07-15 19:19:03 UTC
Red Hat Product Errata RHSA-2019:1797 None None None 2019-07-16 16:21:50 UTC
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:53:56 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:28 UTC
Red Hat Product Errata RHSA-2019:2804 None None None 2019-09-17 13:45:38 UTC
Red Hat Product Errata RHSA-2019:2858 None None None 2019-09-27 00:13:59 UTC
Red Hat Product Errata RHSA-2019:3002 None None None 2019-10-10 12:49:47 UTC

Description Laura Pardo 2019-01-15 18:44:22 UTC
FasterXML jackson-databind 2.x before 2.9.7 might allow remote attackers to execute arbitrary code by leveraging failure to block the blaze-ds-opt and blaze-ds-core classes from polymorphic deserialization.


References:
https://github.com/FasterXML/jackson-databind/issues/2097
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.9.7

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/87d29af25e82a249ea15858e2d4ecbf64091db44

Comment 1 Laura Pardo 2019-01-15 18:44:36 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1666419]

Comment 10 James Hebden 2019-02-14 06:58:47 UTC
Marking ODL notaffected as even though we ship the vulnerable library, update of the library is being handled by other other flaws (1666423 for example), and in the context of this specific flaw, the requisite blaze-ds libraries are not shipped.

Comment 22 errata-xmlrpc 2019-04-17 21:00:59 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 23 errata-xmlrpc 2019-04-24 18:46:54 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 27 Chess Hazlett 2019-07-02 23:13:31 UTC
Statement:

The following Red Hat products are not affected by this issue as they do not bundle or provide the requisite gadget jars to exploit this vulnerability:
Red Hat Satellite 6
Red Hat Enterprise Virtualization 4
Red Hat Fuse 6, 7, and Fuse Integration Services 2
Red Hat A-MQ 6

Comment 28 errata-xmlrpc 2019-07-15 19:19:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.12

Via RHSA-2019:1782 https://access.redhat.com/errata/RHSA-2019:1782

Comment 29 errata-xmlrpc 2019-07-16 16:21:48 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1797 https://access.redhat.com/errata/RHSA-2019:1797

Comment 36 errata-xmlrpc 2019-07-22 14:53:26 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 37 errata-xmlrpc 2019-07-22 14:53:53 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 40 errata-xmlrpc 2019-09-17 13:45:35 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 43 errata-xmlrpc 2019-09-27 00:13:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 44 errata-xmlrpc 2019-10-10 12:49:44 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002


Note You need to log in before you can comment on or make changes to this bug.